﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinEditors;

namespace WinComboSelectCell
{
    public partial class Form1 : Form
    {

        private DataTable GenerateTable()
        {
            DataTable tab = new DataTable();

            tab.Columns.Add("Value", typeof(string));
            tab.Columns.Add("Text", typeof(string));

            for(int i=0; i < 10; i++)
                tab.Rows.Add("Value"+i.ToString(),"Text"+i.ToString());
            return tab;
        }

        public Form1()
        {
            InitializeComponent();
            ultraGrid1.DataSource = GenerateTable();
            ultraGrid1.DisplayLayout.Override.CellClickAction = Infragistics.Win.UltraWinGrid.CellClickAction.CellSelect;
        }

        private void Form1_Load(object sender, EventArgs e)
        {

        }

        private void ultraGrid1_DoubleClick(object sender, EventArgs e)
        {
            if (ultraGrid1.ActiveCell != null)
                ultraTextEditor1.Value = ultraGrid1.ActiveCell.Value;
            else
                ultraTextEditor1.Value = null;
            ((DropDownEditorButton)ultraTextEditor1.ButtonsRight[0]).CloseUp();
        }
    }
}
